<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ni_utrs', function (Blueprint $table) {
            $table->id(); // auto-incrementing primary key
            $table->unsignedBigInteger('user_id'); // foreign key for the user
            $table->string('national_insurance');
            $table->string('unique_tax_reference');
            $table->timestamps();

            // Foreign key constraint
            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade'); // Assuming 'users' is the referenced table
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('ni_utrs', function (Blueprint $table) {
            // Drop foreign key first
            $table->dropForeign(['user_id']);
        });

        Schema::dropIfExists('ni_utrs');
    }
};
